SDL_main_func(3type)

NAME
SDL_main_func - The prototype for the application's main() function

HEADER FILE
Defined in SDL3/SDL_main.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef int (SDLCALL *SDL_main_func)(int argc, char *argv[]);

FUNCTION PARAMETERS

argc
    an ANSI-C style main function's argc.

argv
    an ANSI-C style main function's argv.

RETURN VALUE
Returns an ANSI-C main return code; generally 0 is considered successful program completion, and small non-zero values are considered errors.

AVAILABILITY
This datatype is available since SDL 3.2.0.